Bug 1786283 - Enable AzureRM plugin does not refresh the hammer cache
Summary: Enable AzureRM plugin does not refresh the hammer cache
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Compute Resources - Azure
Version: 6.7.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: 6.7.0
Assignee: Aditi Puntambekar
QA Contact: vijsingh
URL:
Whiteboard:
Depends On:
Blocks: 1775890
TreeView+ depends on / blocked
 
Reported: 2019-12-24 07:57 UTC by vijsingh
Modified: 2020-04-14 13:28 UTC (History)
5 users (show)

Fixed In Version: tfm-rubygem-hammer_cli_foreman_azure_rm-0.1.2-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-14 13:28:12 UTC
Target Upstream Version:
mshira: needinfo+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 28678 Normal Closed Modify hammer cli azurerm README 2020-03-03 10:52:14 UTC
Red Hat Product Errata RHSA-2020:1454 None None None 2020-04-14 13:28:22 UTC

Description vijsingh 2019-12-24 07:57:36 UTC
Description of problem:

Enable AzureRM plugin does not refresh the hammer cache and because of it no hammer commands/options available for AzureRM.

Version-Release number of selected component (if applicable):

@Satellite 6.7.0 snap 7.0

How reproducible:

Always

Steps to Reproduce:
______________________________________________
[root@sat ~]# satellite-installer --enable-foreman-plugin-azure --enable-foreman-cli-azure
Package versions are locked. Continuing with unlock.
Installing             Done                                               [100%] [..........................................................................................]
  Success!
  * Satellite is running at https://sat.example.com

  * To install an additional Capsule on separate machine continue by running:

          capsule-certs-generate --foreman-proxy-fqdn "$CAPSULE" --certs-tar "/root/$CAPSULE-certs.tar"

  * To upgrade an existing 6.6 Capsule to 6.7:
          Please see official documentation for steps and parameters to use when upgrading a 6.6 Capsule to 6.7.

  The full log is at /var/log/foreman-installer/satellite.log
Package versions are being locked.
[root@sat ~]# hammer compute-resource create --help|grep -i azure
 --tenant TENANT                             For RHEL OpenStack Platform and AzureRM only
[root@sat ~]# date
Mon Dec 23 01:28:11 EST 2019
[root@sat ~]# hostname
sat.example.com
[root@sat ~]# hammer compute-resource create --help|grep -i azure
 --tenant TENANT                             For RHEL OpenStack Platform and AzureRM only
[root@sat ~]# date
Mon Dec 23 01:29:49 EST 2019
[root@sat ~]# [A
-bash: [A: command not found
[root@sat ~]# hammer compute-resource create --help|grep -i azure
 --tenant TENANT                             For RHEL OpenStack Platform and AzureRM only
[root@sat ~]# date
Mon Dec 23 01:30:59 EST 2019

______________________________________________

Actual results:

 No hammer commands/options available for AzureRM

Expected results:
 
 
 Enable AzureRM plugin should refresh the hammer cache and related hammer commands/options avialable
 

Additional info:

 More looks a regression on 'Sat 6.7.0 Snap 7.0' as same was working on snap 6.0 https://bugzilla.redhat.com/show_bug.cgi?id=1775889#c10

Comment 7 Shira Maximov 2019-12-30 08:30:03 UTC
@Vijay,
This is the expected behavior of hammer as far as I know.

Comment 15 errata-xmlrpc 2020-04-14 13:28:12 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:1454


Note You need to log in before you can comment on or make changes to this bug.